######################################################
#                                                    #
# DIS3GNO x.  start script                           #
# Dept. of Electronics, Computer Science and Systems #
# University of Calabria, Italy                      #
# http://grid.deis.unical.it/kgrid/                  #
#                                                    #
######################################################

if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined" 1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

for i in ${GLOBUS_LOCATION}/lib/*.jar
do
   GLOBUS_LIB=$GLOBUS_LIB:"$i"
done

for i in ./lib/*.jar
do
   LIB=$LIB:"$i"
done

echo "==================================================="

if [ -z "$1" ];
then
	echo "Starting DIS3GNO..."
	echo
	java -DGLOBUS_LOCATION=$GLOBUS_LOCATION -classpath $GLOBUS_LOCATION$GLOBUS_LIB$LIB:./bin/ kgrid.client.gui.App
else
	echo "Starting DIS3GNO using $1MB of maximum heap size"
	echo
	java -Xmx$1m -DGLOBUS_LOCATION=$GLOBUS_LOCATION -classpath $GLOBUS_LOCATION$GLOBUS_LIB$LIB:./bin/ kgrid.client.gui.App
fi

echo
echo "DIS3GNO terminated."
echo "==================================================="
